# Interface IfcGeometryBuilderOptions

Options for how the IfcGeometryBuilder behaves. These options can be useful to control the execution of heavy operations such as IfcGeometryBuilder.create and IfcGeometryBuilder.build. Avoid blocking the main thread for too long by adjusting deadlineMs and sleepInMs. Decreasing these values will make the operations faster but may increase the risk of blocking the main thread. Increasing them will make the main thread (UI) more responsive but the operations will take longer to complete.

interface IfcGeometryBuilderOptions {
deadlineMs: number;
sleepInMs: number;
}

##### Index

### Properties

deadlineMs
sleepInMs

## Properties

### deadlineMs

deadlineMs: number

Number of milliseconds to execute before sleeping sleepInMs milliseconds.

### sleepInMs

sleepInMs: number

Number of milliseconds to sleep after having executed for more than deadlineMs milliseconds.